<?php get_header(); ?>

<?php
  // page variables
  
  // page width in columns
  $page_w=11;

  // half page width in columns
  $half_page_w=5;
  
  $poste=0;
?>

  <div id="content" class="<?php echo 'span-'.($page_w+4);?> first">

	<?php if (have_posts()) : ?>

    <?php /* first the title */ ?>
    <div class="<?php echo 'span-'.$page_w;?> prepend-4 first last pagetitle">
      <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
      <?php /* If this is a category archive */ if (is_category()) { ?>
      <h2><?php _e('Рубрика'); ?>: &#8216;<?php single_cat_title(); ?>&#8217;</h2>
      <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
      <h2><?php _e('Записи с Меткой'); ?> &#8216;<?php single_tag_title(); ?>&#8217;</h2>
      <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
      <h2><?php _e('Архив'); ?>: <?php the_time('F jS, Y'); ?></h2>
      <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
      <h2><?php _e('Архив'); ?>: <?php the_time('F, Y'); ?></h2>
      <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
      <h2><?php _e('Архив'); ?>: <?php the_time('Y'); ?></h2>
      <?php /* If this is an author archive */ } elseif (is_author()) { ?>
      <h2><?php _e('Архив Автора'); ?></h2>
      <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
      <h2><?php _e('Архивы Блога'); ?></h2>
      <?php /* Search results */ } elseif (is_search()) { ?>
      <h2><?php _e('Результаты Поиска'); ?></h2>
      <?php } ?>
    </div>

		<?php while (have_posts()) : the_post(); ?>

      <?php /* post */ ?>
			<div class="<?php echo 'span-'.($page_w+4);?> first last post <?php echo ((is_single() || is_page()) ? 'singlepost' : 'multipost'); ?> <?php echo (!$poste? 'firstpost' : ''); ?>" id="post-<?php the_ID(); ?>">
						
        <?php /* h2 and pagetitle for single and page, h3 and posttitle for the rest */ ?>
        <div class="<?php echo 'span-'.$page_w;?> first last prepend-4 <?php echo ((is_single() || is_page()) ? 'pagetitle' : 'posttitle'); ?>">
          <?php echo ((is_single() || is_page()) ? '<h2>' : '<h3>'); ?>
            <a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Постоянная ссылка на'); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
          <?php echo ((is_single() || is_page()) ? '</h2>' : '</h3>'); ?>
          <div class="pattern">&nbsp;</div>
        </div>


        <div class="<?php echo 'span-'.($page_w+4);?> first last postcontainer">
          <?php /* metadata left */ ?>
          <?php /* display tags, categories, edit link, comment info etc. */ ?>
          <div class="span-3 first postmetadata">

            <?php /* date and author NOT for pages */ ?>
            <?php if (!is_page()): ?>
              <p>
                <?php the_time('F jS, Y') ?>
              </p>
              <p>
                 <?php _e('Творец'); ?>: <?php the_author() ?>
              </p>
            <? endif; ?>

            <?php /* tags and categories not for pages */ ?>
            <?php if (!is_page()): ?>
              <?php the_tags(__('<p>Метки: '), ', ', '</p>'); ?>
              <p>
                <?php _e('Опубликовано в:'); ?> <?php the_category(', ') ?>
              </p>
            <? endif; ?>
            
            <?php /* only for  lists */ ?>
            <?php if (!is_single() && !is_page()): ?>
              <p>
                <?php comments_popup_link(__('Комментариев Нет'), '1 '.__('Комментарий'), '% '.__('Комментариев')); ?>
              </p>
            <? endif; ?>

            <?php /* for single and page */ ?>
            <?php if ((is_single() || is_page()) && ('open' == $post->ping_status)): ?>
              <p>
                <a href="<?php trackback_url(); ?>" rel="trackback">Обратная ссылка</a>
              </p>
            <?php endif; ?>
          
            <?php edit_post_link(__('Отредактировать'), '<p>', '</p>'); ?>

            <?php /* if empty... */ ?>
            &nbsp;
          </div>

          <?php /* the rest */ ?>
          <div class="<?php echo 'span-'.($page_w+1);?> last postrest">

            <?php /* single post, display cross-post navigation */ ?>
            <?php if (is_single()): ?>
              <div class="<?php echo 'span-'.$page_w;?> first last prepend-1 singlenavigation">
                <div class="<?php echo 'span-'.$half_page_w;?> first append-1 textleft"><?php previous_post_link('%link <div class="less">&nbsp;</div>') ?>&nbsp;</div>
                <div class="<?php echo 'span-'.$half_page_w;?> last textright">&nbsp;<?php next_post_link('%link <div class="more">&nbsp;</div>') ?></div>
              </div>
            <? endif; ?>


            <?php /* content */ ?>
            <div class="<?php echo 'span-'.$page_w;?> first last prepend-1 entry">

              <?php /* image */ ?>
              <?php if (is_attachment() && substr($post->post_mime_type,0,5)=='image'): ?>
                <a class="imagelinkbox" href="<?php echo wp_get_attachment_url($post->ID); ?>">
                  <?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?>
                </a>
                <div class="wp-caption-text-standalone alignnone">
                  <?php if ( !empty($post->post_excerpt) ) the_excerpt(); /* this is the "caption" */ ?>
                </div>

              <?php else: ?>

                <?php the_content('<span class="readmore strong">'.__('Читать далее').'</span>'); ?>
              <?php endif; ?>

                <?php /* if signle post/page paginated, display pages */ ?>
                <?php wp_link_pages(array('before' => '<span class="multipage strong">'.__('Страницы').': ', 'after' => '</span>', 'next_or_number' => __('number'))); ?>

            </div>

            <?php /* image */ ?>
            <?php if (is_attachment() && substr($post->post_mime_type,0,5)=='image'): ?>
        		<div class="<?php echo 'span-'.$page_w;?> first last prepend-1 singlenavigation">
              <div class="<?php echo 'span-'.$half_page_w;?> first append-1 textleft"><?php previous_image_link() ?>&nbsp; <div class="less">&nbsp;</div></div>
              <div class="<?php echo 'span-'.$half_page_w;?> last textright">&nbsp;<?php next_image_link() ?> <div class="more">&nbsp;</div></div>
            </div>
            <?php endif; ?>

          </div>
          <?php /* for single and page */ ?>
          <?php if (is_single() || is_page()): ?>
            <?php /* comments or pings open */ ?>
            <?php if (('open' == $post-> comment_status) || ('open' == $post->ping_status)): ?>
              <?php /* comment list and form here */ ?>
              <?php
                // pass variables
                $_SESSION['page_w']=$page_w;
                $_SESSION['half_page_w']=$half_page_w;
                comments_template();
                ?>
            <?php else: ?>
              <?php /* neither comments nor pings open */ ?>
              <?php /* do nothing */ ?>            
            <?php endif; ?>
          <?php endif; ?>
        </div>
        
			</div>

		<?php $poste++; ?>
		<?php endwhile; ?>

		<div class="<?php echo 'span-'.$page_w;?> first last prepend-4 navigation">
			<div class="<?php echo 'span-'.$half_page_w;?> first append-1 textleft"><?php next_posts_link(__('Старые записи').' <div class="less">&nbsp;</div>') ?>&nbsp;</div>
			<div class="<?php echo 'span-'.$half_page_w;?> last textright">&nbsp;<?php previous_posts_link(__('Новые записи').' <div class="more">&nbsp;</div>') ?></div>
		</div>

	<?php else : ?>

    <div class="<?php echo 'span-'.$page_w;?> first last prepend-4 pagetitle">
  		<h2><?php _e('Не Найдено'); ?></h2>
		</div>
		<div class="<?php echo 'span-'.$page_w;?> first last prepend-4 post spacedown">
		  <?php _e('Извините, но вы ищете что-нибудь не здесь.'); ?>
		</div>
		<div class="<?php echo 'span-'.$page_w;?> first last prepend-4 search">
      <?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
